Subject: prompt not dislayed correctly using in.telnetd
From: Bruce Edge <[email-masked]>
To: cygwin support <[email-masked]>
Date: Tue, 05 Dec 2000 15:47:35 -0800

When I telnet to my cygwin box, my prompt is not displayed correctly.

My .profile sets it to:
export PS1='\[\033]0;\w\007\033[32m\]\u@\h \[\033[33m\w\033[0m\]
$ ' 

When I login via telnet, it's shown as:
\[\033]0;\w\007
\033[32m\]\u@\h
\[\033[33m\w\033[0m\]                                           

instead of:
user@HOST PWD
$

This happens regardless of which telnet client I use, eg: cygwin, Linux,
QNX...
The other OSs _do_ expand the $PS1 path setting correctly.
Am I missing something else?

TIA, Bruce.

--
Want to unsubscribe from this list?
Send a message to [email-masked]